"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _styles = require("./styles");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const ThumbnailComponent = _ref => {
  let {
    imgIndex,
    updateNowImageIndex,
    imageSize,
    imageBorderRadius,
    imgObj,
    nowPage,
    perPage,
    borderColor
  } = _ref;

  const updateIndex = () => {
    if (updateNowImageIndex) {
      if (nowPage >= 0 && imgIndex >= 0) updateNowImageIndex(nowPage, imgIndex);
    }
  };

  return imgObj !== null && imgObj !== void 0 && imgObj.uri ? /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
    onPress: updateIndex,
    key: nowPage + ':' + imgIndex,
    style: [_styles.styles.thumbnailBorder, {
      width: imageSize,
      height: imageSize,
      borderRadius: imageBorderRadius,
      borderColor: borderColor !== null && borderColor !== void 0 ? borderColor : '#FFFF00',
      marginLeft: imgIndex % perPage === 1 ? 10 : 0,
      marginRight: imgIndex % perPage === 0 ? 0 : 10
    }]
  }, /*#__PURE__*/_react.default.createElement(_reactNative.Image, {
    source: imgObj,
    style: {
      flex: 1,
      borderRadius: imageBorderRadius
    },
    resizeMode: 'cover'
  })) : null;
};

var _default = ThumbnailComponent;
exports.default = _default;
//# sourceMappingURL=ThumbnailComponent.js.map