import React from 'react';
import { Image, TouchableOpacity } from 'react-native';
import { styles } from './styles';

const ThumbnailComponent = _ref => {
  let {
    imgIndex,
    updateNowImageIndex,
    imageSize,
    imageBorderRadius,
    imgObj,
    nowPage,
    perPage,
    borderColor
  } = _ref;

  const updateIndex = () => {
    if (updateNowImageIndex) {
      if (nowPage >= 0 && imgIndex >= 0) updateNowImageIndex(nowPage, imgIndex);
    }
  };

  return imgObj !== null && imgObj !== void 0 && imgObj.uri ? /*#__PURE__*/React.createElement(TouchableOpacity, {
    onPress: updateIndex,
    key: nowPage + ':' + imgIndex,
    style: [styles.thumbnailBorder, {
      width: imageSize,
      height: imageSize,
      borderRadius: imageBorderRadius,
      borderColor: borderColor !== null && borderColor !== void 0 ? borderColor : '#FFFF00',
      marginLeft: imgIndex % perPage === 1 ? 10 : 0,
      marginRight: imgIndex % perPage === 0 ? 0 : 10
    }]
  }, /*#__PURE__*/React.createElement(Image, {
    source: imgObj,
    style: {
      flex: 1,
      borderRadius: imageBorderRadius
    },
    resizeMode: 'cover'
  })) : null;
};

export default ThumbnailComponent;
//# sourceMappingURL=ThumbnailComponent.js.map